Update a webhook endpoint
Updates the webhook endpoint. You may edit the url, the list of enabled_events, and the status of your endpoint.
You can also update webhook endpoints in the Merchant Dashboard.
Related guide: Webhooks
Path Parameters
- Type: stringidmax length:5000required
Body·
required
application/json
- Type: array string[] · enumenabled
_events requiredThe event types this endpoint receives.
values- checkout
_session .completed - payment
_intent .authorized - payment
_intent .captured - payment
.succeeded - payment
.captured
- Type: stringurlmax length:5000required
The URL of the webhook endpoint.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/v1/webhooks/{id}
curl 'https://api.paypercut.io/v1/webhooks/{id}' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"url": "https://example.com/webhooks/paypercut",
"enabled_events": [
"checkout_session.completed",
"invoice.paid",
"invoice.payment_failed"
]
}'
{
"id": "string",
"created": "2026-07-28T08:24:41.303Z",
"name": "string",
"url": "https://example.com/webhooks/paypercut",
"enabled_events": [
"checkout_session.completed",
"payment_intent.authorized",
"payment_intent.captured",
"payment.succeeded",
"payment.captured",
"invoice.paid",
"invoice.payment_failed"
],
"status": "string",
"secret": "string"
}
